Bug 199020 (conexusmm) - Review Request: conexusmm (Gtkmm widgets for the conexus network and serial I/O library)
Summary: Review Request: conexusmm (Gtkmm widgets for the conexus network and serial I...
Status: CLOSED NEXTRELEASE
Alias: conexusmm
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 183322
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-07-15 19:15 UTC by Rick L Vinyard Jr
Modified: 2009-01-22 08:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-26 18:10:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick L Vinyard Jr 2006-07-15 19:15:16 UTC
Spec URL: http://miskatonic.cs.nmsu.edu/pub/conexusmm.spec

SRPM URL: http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/conexusmm-0.2.0-1.src.rpm

Description: 

conexusmm provides Gtkmm widgets for the conexus library objects. These widgets include IPv4 and IPv6 address and host entry boxes (including validated IPv4 dotted decimal address), serial port configuration widgets, et. al.

Comment 1 Rick L Vinyard Jr 2006-07-30 22:34:40 UTC
Spec URL: http://miskatonic.cs.nmsu.edu/pub/conexusmm.spec

SRPM URL: http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/conexusmm-0.2.0-
2.src.rpm

* Sat Jul 29 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-2
- Changed make to %%{__make}
- Changed %%{name} to autoconf subst that puts specific name in devel requires
- Added comment regarding why cp occurs for docs
- Removed doxygen, graphviz and pkgconfig from devel requires
- Added package name to globs in so libs, .pc and demos



Comment 2 Rick L Vinyard Jr 2006-07-30 22:37:22 UTC
Let's try the SRPM again:
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/conexusmm-0.2.0-2.src.rpm

Comment 3 Michael Schwendt 2006-08-11 22:45:58 UTC
* /usr/share/conexusmm-0.2.0/ is not included.

* Only other issue I see is not a packaging problem, but a
run-time problem: The demo is in $PATH, but it doesn't look in its
datadir for the source code files. Gives ugly warnings in a terminal
and an incomplete demonstration.

As I believe you can fix those things: APPROVED


Comment 4 Alex Lancaster 2009-01-19 02:06:53 UTC
Since it appears that the new version of conexus obsoletes conexusmm:

https://koji.fedoraproject.org/koji/buildinfo?buildID=78660

you need to take the appropriate steps to retire conexusmm, described here:

http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife

This includes checking in dead.package to the devel branch with an explanation and a request to rel-eng to block conexusmm from rawhide, since it is currently causing broken deps (item 6 in the checklist above):

Broken deps for i386
----------------------------------------------------------
	conexusmm-0.5.0-6.fc8.i386 requires libpapyrusmm.so.0
	conexusmm-devel-0.5.0-6.fc8.i386 requires libpapyrusmm.so.0

(see: http://koji.fedoraproject.org/mash/rawhide-20090118/logs/depcheck )

Comment 5 Alex Lancaster 2009-01-22 08:56:07 UTC
(In reply to comment #4)

> This includes checking in dead.package to the devel branch with an explanation
> and a request to rel-eng to block conexusmm from rawhide, since it is currently
> causing broken deps (item 6 in the checklist above):

I took the liberty of filing the rel-eng ticket:

https://fedorahosted.org/rel-eng/ticket/1242


Note You need to log in before you can comment on or make changes to this bug.